: Class PopStore

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.storage
Class PopStore

    java.lang.Object
      |
      +--javax.mail.Service
            |
            +--javax.mail.Store
                  |
                  +--grendel.storage.PopStore

public class PopStore
extends javax.mail.Store

Field Summary
`protected grendel.storage.PopFolder` | `defaultFolder`
`protected static PopStore` | `DefaultStore`
`boolean` | `topUnimplemented`
`boolean` | `uidlUnimplemented`
`boolean` | `xtndUnimplemented`

Fields inherited from class javax.mail.Service
`debug, session, url`

Constructor Summary
`PopStore(javax.mail.Session s)`
`PopStore(javax.mail.Session s, javax.mail.URLName u)`

Method Summary
`protected void` | `check(java.lang.String line, java.lang.String err)`
`void` | `close()`
`protected void` | `dealWithPendingStream()`
`javax.mail.Folder` | `getDefaultFolder()`
`static javax.mail.Store` | `GetDefaultStore(javax.mail.Session s)`
`javax.mail.Folder` | `getFolder(java.lang.String name)`
`javax.mail.Folder` | `getFolder(javax.mail.URLName url)`
`protected java.util.Hashtable` | `loadLeaveOnServerList()`
`boolean` | `protocolConnect(java.lang.String host, int port, java.lang.String user, java.lang.String password)`
`protected java.lang.String` | `readln()`
`protected boolean` | `resultOK(java.lang.String line)`
`protected void` | `saveLeaveOnServerList(java.util.Hashtable table)`
`protected void` | `writeln(java.lang.String line)`

Methods inherited from class javax.mail.Store
`addFolderListener, addStoreListener, notifyFolderListeners, notifyFolderRenamedListeners, notifyStoreListeners, removeFolderListener, removeStoreListener`

Methods inherited from class javax.mail.Service
`addConnectionListener, connect, connect, connect, finalize, getURLName, isConnected, notifyConnectionListeners, queueEvent, removeConnectionListener, setConnected, setURLName, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### defaultFolder

    protected grendel.storage.PopFolder defaultFolder

### uidlUnimplemented

    public boolean uidlUnimplemented

### xtndUnimplemented

    public boolean xtndUnimplemented

### topUnimplemented

    public boolean topUnimplemented

### DefaultStore

    protected static PopStore DefaultStore

Constructor Detail

### PopStore

    public PopStore(javax.mail.Session s)

### PopStore

    public PopStore(javax.mail.Session s,
                    javax.mail.URLName u)

Method Detail

### GetDefaultStore

    public static javax.mail.Store GetDefaultStore(javax.mail.Session s)

### protocolConnect

    public boolean protocolConnect(java.lang.String host,
                                   int port,
                                   java.lang.String user,
                                   java.lang.String password)
                            throws javax.mail.MessagingException

  Overrides:
    protocolConnect in class javax.mail.Service

### close

    public void close()

  Overrides:
    close in class javax.mail.Service

### getDefaultFolder

    public javax.mail.Folder getDefaultFolder()

  Overrides:
    getDefaultFolder in class javax.mail.Store

### getFolder

    public javax.mail.Folder getFolder(java.lang.String name)
                                throws javax.mail.MessagingException

  Overrides:
    getFolder in class javax.mail.Store

### getFolder

    public javax.mail.Folder getFolder(javax.mail.URLName url)

  Overrides:
    getFolder in class javax.mail.Store

### writeln

    protected void writeln(java.lang.String line)
                    throws javax.mail.MessagingException

### readln

    protected java.lang.String readln()
                               throws javax.mail.MessagingException

### check

    protected void check(java.lang.String line,
                         java.lang.String err)
                  throws javax.mail.MessagingException

### resultOK

    protected boolean resultOK(java.lang.String line)

### dealWithPendingStream

    protected void dealWithPendingStream()

### loadLeaveOnServerList

    protected java.util.Hashtable loadLeaveOnServerList()

### saveLeaveOnServerList

    protected void saveLeaveOnServerList(java.util.Hashtable table)
                                  throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD